v0.3.12 breaks #5

Open
juzerali opened this Issue Aug 4, 2012 · 12 comments

Projects

None yet

8 participants

@juzerali

It is not connecting to database. Downgrading to 0.3.11 works

@Puzzle84

Same here. downgrading works.
before that i got a throw err; null errror

@lefnire

Pulled latest v0.3.12-0 (actually just using "racer-db-mongo": "git://github.com/codeparty/racer-db-mongo#master"), got a new error now:

$ node server.js 
Error requiring server module from `/Users/lefnire/Dropbox/tyler/Sites/personal/habitrpg/derby/lib/server`

/Users/lefnire/Dropbox/tyler/Sites/personal/habitrpg/derby/node_modules/derby/lib/derby.server.js:43
      throw e;
            ^
TypeError: Cannot read property 'lookup' of undefined
    at plugin (/Users/lefnire/Dropbox/tyler/Sites/personal/habitrpg/derby/node_modules/racer-db-mongo/lib/index.js:18:27)
    at EventEmitter.module.exports.use (/Users/lefnire/Dropbox/tyler/Sites/personal/habitrpg/derby/node_modules/derby/node_modules/racer/lib/plugin.js:39:7)
    at Object.<anonymous> (/Users/lefnire/Dropbox/tyler/Sites/personal/habitrpg/derby/lib/server/index.js:33:7)
    at Module._compile (module.js:449:26)
    at Object.Module._extensions..js (module.js:467:10)
    at Module.load (module.js:356:32)
    at Function.Module._load (module.js:312:12)
    at Module.require (module.js:362:17)
    at require (module.js:378:17)
    at EventEmitter.proto.run (/Users/lefnire/Dropbox/tyler/Sites/personal/habitrpg/derby/node_modules/derby/lib/derby.server.js:40:16)
@kim3er

I get the same error as @lefnire when updating to the latest version.

@heavyk

they moved stuff over to protected inside the racer obj, so I assume it'd be racer.protected.path.lookup
it also looks that they've changed the way the way racer registers the queries, cause when I run it I get this error:

Error: You have not declared any query motifs for the namespace "todos". You must do so via store.query.expose before you can query a namespaced collection of documents
    at Object.QueryMotifRegistry.queryTupleBuilder (/Users/kenny/Projects/racer/lib/descriptor/query/QueryMotifRegistry.js:173:13)
    at Model.query (/Users/kenny/Projects/racer/lib/descriptor/query/query.Model.js:324:56)
    at /Users/kenny/Projects/racer-db-mongo/examples/todos-1/server.coffee:45:29
    at callbacks (/Users/kenny/Projects/racer-db-mongo/examples/todos-1/node_modules/express/lib/router/index.js:165:11)
    at param (/Users/kenny/Projects/racer-db-mongo/examples/todos-1/node_modules/express/lib/router/index.js:139:11)
    at param (/Users/kenny/Projects/racer-db-mongo/examples/todos-1/node_modules/express/lib/router/index.js:136:11)
    at pass (/Users/kenny/Projects/racer-db-mongo/examples/todos-1/node_modules/express/lib/router/index.js:146:5)
    at Router._dispatch (/Users/kenny/Projects/racer-db-mongo/examples/todos-1/node_modules/express/lib/router/index.js:173:5)
    at Object.router (/Users/kenny/Projects/racer-db-mongo/examples/todos-1/node_modules/express/lib/router/index.js:33:10)
    at next (/Users/kenny/Projects/racer-db-mongo/examples/todos-1/node_modules/express/node_modules/connect/lib/proto.js:190:15)
@fjbsantiago

Same as lefnire

@lefnire

It looks like this was fixed in recent git commits - Set "racer": "git://github.com/codeparty/racer#master" in /node_modules/derby/package.json, run npm update. Should be fixed, I think they just need to cut a new version. However, then you get a whole new mongoskin error throw null which I'll broach once this bit is fixed.

@lefnire

@nateps it looks like many bugs are fixed in recent racer & racer-db-mongo, per chance a version cut?

@nateps
codeparty member
@lefnire

ermahgerd, so many bugs in my app are fixed now! +1 that this issue can be closed, I'll comment on other issues if they seem fixed

@lefnire

fixed in 0.3.13, should close issue

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment